/*******************************************************************************
 * Copyright (c) 2014-2015 Marian Schedenig
 * 
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Marian Schedenig - initial API and implementation
 *******************************************************************************/

package name.schedenig.eclipse.clippets.java;

import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Plugin;
import org.eclipse.core.runtime.Status;
import org.osgi.framework.BundleContext;

public class Activator extends Plugin// implements BundleActivator
{
	public static final String PLUGIN_ID = "name.schedenig.eclipse.clippets.java"; //$NON-NLS-1$

	private static Activator plugin;

	public static Activator getDefault()
	{
		return plugin;
	}

	public void start(BundleContext bundleContext) throws Exception
	{
		plugin = this;
	}

	public void stop(BundleContext bundleContext) throws Exception
	{
		plugin = null;
	}

	/**
	 * Logs an exception without a custom message.
	 * 
	 * @param severity Severity.
	 * @param exception Exception.
	 */
	public void log(int severity, Exception exception)
	{
		log(severity, exception.getMessage(), exception);
	}

	/**
	 * Logs an exception with a custom message.
	 * 
	 * @param severity Severity.
	 * @param message Custom message.
	 * @param exception Exception.
	 */
	public void log(int severity, String message, Throwable exception)
	{
		IStatus status = new Status(severity, PLUGIN_ID, message, exception);
		getLog().log(status);
	}
}
