/*******************************************************************************
 * Copyright (c) 2014-2015 Marian Schedenig
 * 
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Marian Schedenig - initial API and implementation
 *******************************************************************************/

package name.schedenig.eclipse.clippets.java.tags;

import java.util.List;

import name.schedenig.eclipse.clippets.java.utils.JavaUtils;
import name.schedenig.eclipse.clippets.livetags.ILiveTag;

import org.eclipse.jdt.core.IPackageFragment;
import org.eclipse.ui.texteditor.ITextEditor;

public class JavaPackageLiveTag implements ILiveTag
{
	@Override
	public String resolveTag(ITextEditor editor, List<String> params)
	{
		if(editor == null)
		{
			return null;
		}

		IPackageFragment pkg = JavaUtils.getJavaPackage(editor);
		
		if(pkg == null)
		{
			return null;
		}
		
		return pkg.getElementName();
	}
}
