/*******************************************************************************
 * Copyright (c) 2014-2015 Marian Schedenig
 * 
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Marian Schedenig - initial API and implementation
 *******************************************************************************/

package name.schedenig.eclipse.clippets.java.tags;

import java.util.List;

import name.schedenig.eclipse.clippets.java.utils.JavaUtils;
import name.schedenig.eclipse.clippets.livetags.ILiveTag;

import org.eclipse.jdt.core.IType;
import org.eclipse.ui.texteditor.ITextEditor;

public class JavaTypeLiveTag implements ILiveTag
{
	public static final String PARAM_FULL = "full"; //$NON-NLS-1$
	
	@Override
	public String resolveTag(ITextEditor editor, List<String> params)
	{
		if(editor == null)
		{
			return null;
		}

		IType type = JavaUtils.getJavaType(editor);
		
		if(type == null)
		{
			return null;
		}
		
		boolean full = params.contains(PARAM_FULL);
		return full ? type.getFullyQualifiedName() : type.getElementName();
	}
}
